> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# 転送設定一覧取得
> 転送設定の一覧を取得します。
## OpenAPI
````json GET /api/job_definitions
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/job_definitions": {
"get": {
"summary": "転送設定一覧取得\n",
"description": "転送設定の一覧を取得します。\n",
"tags": [
"job_definitions"
],
"operationId": "listJobDefinitions",
"parameters": [
{
"name": "name",
"description": "転送設定名で絞り込みます。部分一致検索です。\n",
"in": "query",
"schema": {
"type": "string"
},
"example": "sample"
},
{
"name": "limit",
"description": "取得する転送設定の最大件数を指定します。",
"in": "query",
"schema": {
"type": "integer",
"format": "int64",
"maximum": 100,
"default": 50
},
"example": 50
},
{
"name": "cursor",
"description": "取得する転送設定一覧の最初のレコードを示すページネーションカーソルを指定します。
\nレスポンスに含まれる`next_cursor`をセットすると、後続の転送設定一覧を取得できます。\n",
"in": "query",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "転送設定の一覧を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"title": "JobDefinitionItem",
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"description": "転送設定ID"
},
"name": {
"type": "string",
"description": "転送設定名"
},
"description": {
"type": "string",
"description": "転送設定メモ",
"nullable": true
},
"input_option_type": {
"description": "転送元の種別",
"type": "string",
"enum": [
"salesforce",
"mysql",
"gcs",
"snowflake",
"postgresql",
"sqlserver",
"bigquery",
"databricks",
"kintone",
"yahoo_ads_api_yss",
"yahoo_ads_api_ydn",
"google_spreadsheets",
"s3",
"google_analytics4",
"google_ads",
"http",
"sftp",
"hubspot",
"marketo",
"mongodb",
"google_drive",
"backlog",
"redshift",
"oracle",
"kaonavi",
"smart_hr",
"bakuraku",
"facebook_ads_insights",
"pagerduty",
"custom_connector"
]
},
"output_option_type": {
"description": "転送先の種別",
"type": "string",
"enum": [
"bigquery",
"snowflake",
"salesforce",
"google_spreadsheets",
"google_ads_customer_match",
"databricks",
"kintone",
"postgresql",
"mysql",
"hubspot",
"s3",
"sftp",
"yahoo_display_ads_audience_list",
"facebook_custom_audience",
"google_drive",
"gcs",
"braze",
"redshift",
"custom_connector"
]
},
"created_at": {
"type": "string",
"format": "date-time",
"description": "作成日時"
},
"updated_at": {
"type": "string",
"format": "date-time",
"description": "更新日時"
},
"resource_group_id": {
"description": "リソースグループID。リソースグループに追加すると、他のユーザーに設定を共有できるようになります。",
"type": "integer",
"nullable": true
},
"labels": {
"description": "ラベル設定を指定します。\n",
"type": "array",
"minItems": 0,
"maxItems": 40,
"nullable": true,
"items": {
"title": "Label",
"type": "object",
"properties": {
"id": {
"description": "ラベルIDです",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "ラベル名です。",
"type": "string",
"example": "favorite"
},
"description": {
"description": "メモです。",
"type": "string",
"example": "お気に入り",
"nullable": true
},
"color": {
"description": "ラベルの色です。",
"type": "string",
"example": "#e86115"
},
"created_at": {
"description": "ラベル作成日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "ラベルの更新日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"color",
"created_at",
"updated_at"
]
}
},
"schedules": {
"description": "スケジュール設定を指定します。\n",
"type": "array",
"minItems": 0,
"nullable": true,
"items": {
"title": "Schedule",
"type": "object",
"properties": {
"frequency": {
"description": "スケジュールの頻度です。
\nhourly: 毎時
\ndaily: 毎日
\nweekly: 毎週
\nmonthly: 毎月\n",
"type": "string",
"enum": [
"hourly",
"daily",
"weekly",
"monthly"
]
},
"minute": {
"description": "分の値を示します。",
"type": "integer",
"format": "int64"
},
"hour": {
"description": "時間の値を示します。",
"type": "integer",
"format": "int64"
},
"day": {
"description": "日にちの値を示します。",
"type": "integer",
"format": "int64"
},
"day_of_week": {
"description": "曜日の値を示します。",
"type": "integer",
"format": "int64"
},
"time_zone": {
"description": "日時のタイムゾーンです。",
"type": "string",
"example": "Etc/UTC"
}
},
"required": [
"frequency",
"time_zone"
]
}
},
"notifications": {
"description": "通知設定を指定します。\n",
"type": "array",
"minItems": 0,
"maxItems": 20,
"nullable": true,
"items": {
"title": "JobDefinitionNotification",
"type": "object",
"properties": {
"id": {
"description": "通知設定のIDです。
\nnotification_type の中で一意です。slack と email が同じ親レコードから派生する場合は同じ id を持つため、destination_type を併用して識別してください。\n",
"type": "integer",
"format": "int64",
"readOnly": true
},
"destination_type": {
"description": "通知先です。",
"type": "string",
"enum": [
"slack",
"email",
"http"
]
},
"slack_channel_id": {
"description": "slack channel IDです。
\ndestination_typeがslackのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"email_id": {
"description": "Email IDです。
\ndestination_typeがemailのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"http_notification_destination_id": {
"description": "通知先HTTPのIDです。
\ndestination_typeがhttpのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"notification_type": {
"description": "通知タイプです。
\njob: ジョブ実行(終了/エラー)通知
\nrecord: レコード条件(超過/過不足)通知
\nexec_time: 実行時間経過通知\n",
"type": "string",
"enum": [
"job",
"record",
"exec_time"
]
},
"notify_when": {
"description": "通知条件です。
\njobタイプのとき必須です。\n",
"type": "string",
"enum": [
"finished",
"failed"
]
},
"message": {
"description": "通知内容です。
\ndestination_typeがhttpのときは、HTTPリクエストボディとして送信される文字列を指定します(メタ変数・カスタム変数の展開に対応。job通知はJSON形式が必須)。\n",
"type": "string"
},
"record_count": {
"description": "閾値のレコード数
\nrecordタイプのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"record_operator": {
"description": "レコード数の比較演算子です
\nrecordタイプのとき必須
\nabove: 以上
\nbelow: 以下\n",
"type": "string",
"enum": [
"above",
"below"
]
},
"record_type": {
"description": "通知するレコード数条件
\nrecordタイプのとき必須
\ntransfer: 転送した
\nskipped: スキップされた\n"
},
"minutes": {
"description": "実行時間の閾値(分)
\nexec_timeタイプのとき必須です。\n",
"type": "integer",
"format": "int64"
}
},
"required": [
"destination_type",
"notification_type",
"message"
]
}
},
"created_by": {
"type": "object",
"description": "作成者情報",
"nullable": true,
"properties": {
"id": {
"type": "integer",
"format": "int64",
"description": "ユーザーID"
},
"email": {
"type": "string",
"description": "ユーザーメールアドレス"
}
}
},
"environment": {
"description": "アタッチされている環境\n",
"allOf": [
{
"title": "EnvironmentNested",
"type": "object",
"description": "環境グループ情報をネストした環境オブジェクト(JobDefinition等で使用)",
"properties": {
"id": {
"description": "環境ID",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "環境名",
"type": "string",
"example": "本番環境"
},
"environment_group": {
"description": "環境グループ",
"type": "object",
"properties": {
"id": {
"description": "環境グループID",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "環境グループ名",
"type": "string",
"example": "サンプル環境グループ"
},
"created_at": {
"description": "環境グループの作成日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "環境グループの更新日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"created_at",
"updated_at"
]
},
"created_at": {
"description": "環境の作成日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "環境の更新日時",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"environment_group",
"created_at",
"updated_at"
]
}
],
"nullable": true
}
},
"required": [
"id",
"name",
"input_option_type",
"output_option_type",
"created_at",
"updated_at"
]
}
}
}
},
{
"title": "Pagination",
"type": "object",
"properties": {
"next_cursor": {
"description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。",
"type": "string"
}
}
}
]
}
}
}
},
"400": {
"description": "Bad request.
\n不正なリクエストです。\n"
},
"401": {
"description": "Not authenticated.
\n認証エラーです。API KEYをご確認ください。\n"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````